Bug 71812 - Mod_auth_mysql does not allow the specification of the port number mysqld is running on
Mod_auth_mysql does not allow the specification of the port number mysqld is ...
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: mod_auth_mysql (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-19 13:03 EDT by Mike Gahagan
Modified: 2007-04-18 12:45 EDT (History)
0 users

See Also:
Fixed In Version: 2.6.1-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-01 08:37:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to add port number specification (2.14 KB, patch)
2002-08-19 13:05 EDT, Mike Gahagan
no flags Details | Diff

  None (edit)
Description Mike Gahagan 2002-08-19 13:03:35 EDT
Description of Problem:

RFE: Provide support for mod_auth_mysql to connect to a MySQL database running
on any port. 

mod_auth_mysql uses mysql_connect() to connect to the db. This function
according to the MySQL documentation is deprecated and does not allow the
selection of a port number.

Version-Release number of selected component (if applicable):

1.11 included with 7.3, applies to new versions as well.

How Reproducible:

always

Steps to Reproduce:
1. Install 
2. Configure Apache to use
3. notice that there is no way to specify a port number.

Actual Results:

must have mysql running on port 3306 to use

Expected Results:

There is no reason why one shouldn't be able to run mysqld on any port they want
and still use this module.

Additional Information

Patch included :)

Adds 1 optional parameter to the module:

AuthMySQLPort 3306  # port number option, defaults to 3306 if not specified.
Comment 1 Mike Gahagan 2002-08-19 13:05:45 EDT
Created attachment 71464 [details]
patch to add port number specification
Comment 2 Joe Orton 2004-11-01 08:37:31 EST
Fixed in update to upstream 2.6.1 release.

Note You need to log in before you can comment on or make changes to this bug.